/*
    TARJETAS DE LUGARES

    Mirar las paginas principales para ver
    la explicación de ciertos atributos comunes:
    - index.html
    - reviews.html
    - contact.html


*/

.TravelPlace,
.TravelPlace * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/*
    el reverse lo ponemos para que empiece
    desde abajo a colocar
*/

.TravelPlace {
    font-size: 2vw;
    height: 25vh;
    border: solid 1px white;
    border-radius: 10px;
    display: flex;
    flex-direction: column-reverse;
    overflow: hidden;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-position-y: 25%;
    box-shadow: 0px 0 15px 0px rgb(255, 255, 255);
}

.TravelPlace:hover {
    z-index: 10;
    transform: scale(1.1);
    transition: all .3s;
    cursor: pointer;
}

.TravelPlace .Bottom {
    z-index: 10;
    gap: 20px;
    padding: 10px;
    background-color: rgba(29, 28, 28, 0.767);
    height: 60%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;

}

.TravelPlace .Bottom .Left {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    align-items: center;
}


.TravelPlace .Bottom .Right {
    width: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
}


.TravelPlace .Bottom .Title {
    font-size: 1.4em;
}

.TravelPlace .Bottom .Rating {
    display: flex;
    gap: 20px;
    align-items: center;
}

/*
    Esta es la barra de valoracion
    la cual cacula un porcentaje y
    lo guarda en la variable percent
    que se usará despues para visualizar
    cuantas estrellas doradas, que es
    en verdad un gradiente se necesita
    para rellenar de color las estrellas

*/
.TravelPlace .Bottom .Rating .RatingBar {
    appearance: none;
    font-family: sans-serif;
    font-size: 1.1em;
    line-height: 1;
    --percent: calc(var(--value) / 10 * 100%)
}

/*
    Es aqui donde usamos el gradiente para el
    contenido se puede usar el codigo unicode
    o copiar y pegar el símbolo directamente
    en el cotenido del elemento que debe ser
    un texto, que es transparente para que
    se visualice nuestro background en vez
    del color del texto y para que solo pinte
    el area de texto y no todo el fondo usamos
    background-clip, por tanto esto funciona
    como una mascara y como una capa
*/


.TravelPlace .Bottom .Rating .RatingBar::before {
    background: linear-gradient(90deg, #fc0 var(--percent), #eee var(--percent));
    background-clip: text;
    content: '★★★★★★★★★★';
    /* content: "\2605\2605\2605\2605\2605\2605\2605\2605\2605\2605"; */
    color: transparent
}

.TravelPlace .Bottom .Rating .Value {
    font-size: 1.2em;
}


.TravelPlace .Bottom .Location {
    display: flex;
    width: 100%;
    gap: 20px;
    justify-content: space-around;
}

.TravelPlace .Bottom .IconButton {
    height: 7vw;
    width: 7vw;
    border-radius: 50%;

}

/*
    Simula el favorito
*/
.HeartFilled {
    background-image: url(../images/icons/love_filled.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 75%;
    background-color: rgb(147, 112, 216);
    box-shadow: 0px 0 5px 0px rgb(92, 222, 85);
}

/*
    Simula el no deseado
*/
.HeartOutlined {
    background-image: url(../images/icons/love.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 60%;
    background-color: burlywood;
    box-shadow: 0px 0 5px 0px rgb(133, 73, 235);
}

.TravelPlace .Bottom .IconButton:hover {
    transform: scale(1.2);
    transition: all .3s;
    cursor: pointer;
}

/*
    Tamaños de fuente según la anchura porque hemos
    probado a aumentar el ancho de la tarjeta
    según su ancho de navegador

*/
@media (min-width: 0px) and (max-width: 700px) {
    .TravelPlace {
        font-size: 3.5vw;
    }

    .TravelPlace .Bottom .IconButton {
        height: 12vw;
        width: 12vw;
    }
}

@media (min-width: 1280px) {
    .TravelPlace {
        font-size: 1.25vw;
    }

    .TravelPlace .Bottom .IconButton {
        height: 5vw;
        width: 5vw;
    }
}

@media (min-width: 1980px) {
    .TravelPlace {
        font-size: 1vw;
    }

    .TravelPlace .Bottom .IconButton {
        height: 3vw;
        width: 3vw;
    }
}